ClosureSourceBinding (Groovy 3.0.7)

Package org.codehaus.groovy.binding

## Class ClosureSourceBinding

- java.lang.Object
- - org.codehaus.groovy.binding.ClosureSourceBinding

- All Implemented Interfaces:
    `SourceBinding`

      @Deprecated
      public class ClosureSourceBinding
      extends Object
      implements SourceBinding

  Deprecated.
  Since:
    Groovy 1.1

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClosureSourceBinding​(Closure closure)` | Deprecated.
    `ClosureSourceBinding​(Closure closure, Object[] arguments)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Closure` | `getClosure()` | Deprecated.
    `Object` | `getSourceValue()` | Deprecated.
    `void` | `setClosure​(Closure closure)` | Deprecated.
    `void` | `setClosureArgument​(Object argument)` | Deprecated.
    `void` | `setClosureArguments​(Object[] arguments)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClosureSourceBinding

          public ClosureSourceBinding​(Closure closure)

      Deprecated.

    - #### ClosureSourceBinding

          public ClosureSourceBinding​(Closure closure,
                                      Object[] arguments)

      Deprecated.

  - ### Method Detail

    - #### getClosure

          public Closure getClosure()

      Deprecated.

    - #### setClosure

          public void setClosure​(Closure closure)

      Deprecated.

    - #### getSourceValue

          public Object getSourceValue()

      Deprecated.
      Specified by:
        `getSourceValue` in interface `SourceBinding`

    - #### setClosureArguments

          public void setClosureArguments​(Object[] arguments)

      Deprecated.

    - #### setClosureArgument

          public void setClosureArgument​(Object argument)

      Deprecated.